package market.Mes.OrderManager.Plan.mapper;
import market.Mes.OrderManager.Plan.vo.PlnOrderStatistic;

import com.hnshituo.orm.GenericMapper;

public interface PlnOrderStatisticMapper extends GenericMapper<PlnOrderStatistic,Object> {

	void doDelete(String order_no);

	int doQueryMaxNo();

	void doUpdate(PlnOrderStatistic pos);

	void doUpdatePlaned(PlnOrderStatistic pos);

	// 横剪 --根据S2的 订单号，修改  订单进程表[PLN_ORDER_STATISTIC]
	void doUpdateClPlaned(PlnOrderStatistic pos);
	
	// 罩退 --根据S2的 订单号，修改  订单进程表[PLN_ORDER_STATISTIC]
	void doUpdateAnPlaned(PlnOrderStatistic pos);
	
	// 平整 --根据S2的 订单号，修改  订单进程表[PLN_ORDER_STATISTIC]
	void doUpdateSrPlaned(PlnOrderStatistic pos);
	
	// 轧制 --根据S2的 订单号，修改  订单进程表[PLN_ORDER_STATISTIC]
	void doUpdateRlPlaned(PlnOrderStatistic pos);

	// 酸洗 --根据S2的 订单号，修改  订单进程表[PLN_ORDER_STATISTIC]
	void doUpdatePcPlaned(PlnOrderStatistic pos);
}
